summaryrefslogtreecommitdiff
path: root/tests/test-fflush2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-fflush2.sh')
-rwxr-xr-xtests/test-fflush2.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/test-fflush2.sh b/tests/test-fflush2.sh
new file mode 100755
index 0000000..ef77fa4
--- /dev/null
+++ b/tests/test-fflush2.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Execute the test only with seekable input stream.
+# The behaviour of fflush() on a non-seekable input stream is undefined.
+./test-fflush2${EXEEXT} 1 < "$srcdir/test-fflush2.sh" || exit $?
+./test-fflush2${EXEEXT} 2 < "$srcdir/test-fflush2.sh" || exit $?
+#cat "$srcdir/test-fflush2.sh" | ./test-fflush2${EXEEXT} || exit $?
+
+exit 0